//////////////////////////////////////////////////////////////////////////////////
//                                                                              //
//                      Cursor Redirection Toolkit (CuRT)                       //
//               Written by Andy McGovern, Orchid Research Group                //
//                           andymcgovern@gmail.com                             //
//                          http://orchid.cs.uiuc.edu                           //
//  Department of Computer Science, University of Illinois at Urbana-Champaign  //
//                                July 4, 2006                                  //
//      Copyright 2006, The Board of Trustees of the University of Illinois     //
//                                                                              //
//////////////////////////////////////////////////////////////////////////////////

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CuRTClient
{
    public partial class AboutCuRT : Form
    {
        CuRTGUI parentForm;

        public AboutCuRT(CuRTGUI parentForm)
        {
            this.parentForm = parentForm;
            parentForm.Enabled = false;
            InitializeComponent();
        }

        private void AboutCuRT_FormClosed(object sender, FormClosedEventArgs e)
        {
            parentForm.Enabled = true;
        }

    }
}