using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Runtime.InteropServices;

namespace PARTIES
{
    public class ChildWindowArray : ArrayList
    {
        private static bool windowCallBack(int hwnd, IntPtr param)
        {
            GCHandle gch = (GCHandle)param;
            ChildWindowArray warray = (ChildWindowArray)gch.Target;
            warray.Add(hwnd);
            return true;
        }

        public ChildWindowArray(IntPtr parentWnd)
        {
            GCHandle gch = GCHandle.Alloc(this);
            Win32Api.EnumChildCallBack ewcb = new Win32Api.EnumChildCallBack(windowCallBack);
            Win32Api.EnumChildWindows(parentWnd, ewcb, (IntPtr) gch);
            gch.Free();
        }

        
    }
}
