using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Drawing;

namespace PARTIES
{
    public delegate void CallBack(Thread thread);

    public class CommonThreadCode
    {
        public static Bitmap matrixColorFilter(Bitmap image, Color color, float brightness)
        {
            Bitmap bmp = new Bitmap(image);

            Graphics g = Graphics.FromImage(bmp);

            System.Drawing.Imaging.ImageAttributes imageAttributes = new System.Drawing.Imaging.ImageAttributes();
            Rectangle rectangle = new Rectangle(0, 0, bmp.Width, bmp.Height);



            System.Drawing.Imaging.ColorMatrix cm;


            float[][] colorMatrixElements = {
            new float[] {(color.R/255.0f)*brightness, 0, 0, 0, 0},
            new float[] {0, (color.G/255.0f)*brightness, 0, 0, 0},
            new float[] {0, 0, (color.B/255.0f)*brightness, 0, 0},
            //new float[] {0, 0, 0, 0, 0},
            //new float[] {0, .5f, 0, 0, 0},
            //new float[] {0, 0, 0, 0, 0},
            new float[] {0, 0, 0, 1, 0},
            new float[] {0, 0, 0, 0, 1}};

            cm = new System.Drawing.Imaging.ColorMatrix(colorMatrixElements);

            imageAttributes.SetColorMatrix(cm, System.Drawing.Imaging.ColorMatrixFlag.Default, System.Drawing.Imaging.ColorAdjustType.Bitmap);


            g.DrawImage(bmp, rectangle, 0, 0, bmp.Width, bmp.Height, GraphicsUnit.Pixel, imageAttributes);
            g.Dispose();
            return bmp;
        }
    }
}
