using System;
using System.Collections.Generic;
using System.Text;

namespace PARTIES
{
    // Options for capturing screenshots
    //
    // WINDOW = Grab and display the whole window, including titlebar (if applicable)
    // CLIENT = Grab only the client area of the window
    // WINDOWSHOWCLIENT = Grab the whole window, but offset it to hide the titlebar
    public enum ScreenCaptureOptions { WINDOW, CLIENT, WINDOWSHOWCLIENT };

    // Options for the replication type
    //
    // VIEW = A live view replication only
    // INTERACT = A replication that handles input as well as providing a live screenshot
    public enum ReplicationOptions { VIEW, INTERACT };

}
