using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Runtime.InteropServices;

using ClubDev.Utilities;

namespace ClubDev.CaptionButton
{
    // Array of active windows ... adapted from SEAPort code
    public class ActiveWindowArray : ArrayList
    {
        private static bool windowCallBack(int hwnd, IntPtr param)
        {
            GCHandle gch = (GCHandle)param;
            ActiveWindowArray warray = (ActiveWindowArray)gch.Target;
            warray.Add(hwnd);
            return true;
        }

        public ActiveWindowArray()
        {
            GCHandle gch = GCHandle.Alloc(this);
            Win32Api.EnumWindowsCallBack ewcb = new Win32Api.EnumWindowsCallBack(windowCallBack);
            Win32Api.EnumWindows(ewcb, (IntPtr)gch);
            gch.Free();
        }

    }
}
