
using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace ClubDev.SupportProviders
{
    class ShadowLoggingData
    {
        private static string m_ConnectionString = Properties.Settings.Default.ClubDevConnectionString;
        private SqlConnection m_sqlConn = null;

        public ShadowLoggingData()
        {
            m_sqlConn = new SqlConnection(m_ConnectionString);
        }

        public void InsertIntoShadowEventCollaboratorBarRolloverTable(DateTime rolloverTimestamp, string rolloverActorUserID, string rolloverTargetUserID)
        {
            try
            {
                SqlCommand cmd = new SqlCommand("INSERT INTO [ShadowEvent-CollaboratorBarRollover] ([rolloverTimestamp], [rolloverActorUserID], [rolloverTargetUserID]) VALUES(@rolloverTimestamp, @rolloverActorUserID, @rolloverTargetUserID)", m_sqlConn);
                cmd.CommandType = CommandType.Text;
                cmd.Parameters.AddWithValue("@rolloverTimestamp", rolloverTimestamp);
                cmd.Parameters.AddWithValue("@rolloverActorUserID", rolloverActorUserID);
                cmd.Parameters.AddWithValue("rolloverTargetUserID", rolloverTargetUserID);

                if (m_sqlConn.State == ConnectionState.Closed)
                    m_sqlConn.Open();

                cmd.ExecuteNonQuery();

                m_sqlConn.Close();
            }

            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}
