using System;
using System.Collections.Generic;
using System.Text;

namespace ClubDev.Surogates
{
    class UserSurogate
    {
        private long userID;
        private long userSessionID;
        private string userHost;
        private string userName;
        private string userIM;
        private bool userIsSharedDisplay;
        private int userResolutionX;
        private int userResolutionY;
        private System.Windows.Media.Imaging.BitmapSource userIcon;


        public long UserID
        {
            get
            {
                return userID;
            }
        }

        public long UserSessionID
        {
            get
            {
                return userSessionID;
            }
        }

        public string UserHost
        {
            get
            {
                return userHost;
            }
        }

        public string UserName
        {
            get
            {
                return userName;
            }
        }

        public string UserIM
        {
            get
            {
                return userIM;
            }
        }

        public bool UserIsSharedDisplay
        {
            get
            {
                return userIsSharedDisplay;
            }
        }

        public int UserResolutionX
        {
            get
            {
                return userResolutionX;
            }
        }

        public int UserResolutionY
        {
            get
            {
                return userResolutionY;
            }
        }

        public System.Windows.Media.Imaging.BitmapSource UserIcon
        {
            get
            {
                return userIcon;
            }
        }
        

        public UserSurogate(long userID, long userSessionID, string userHost, string userName, string userIM, bool userIsSharedDisplay, int userResolutionX, int userResolutionY, System.Windows.Media.Imaging.BitmapSource userIcon)
        {
            this.userID = userID;
            this.userSessionID = userSessionID;
            this.userHost = userHost.ToString();
            this.userName = userName.ToString();
            this.userIM = userIM.ToString();
            this.userIsSharedDisplay = userIsSharedDisplay;
            this.userResolutionX = userResolutionX;
            this.userResolutionY = userResolutionY;
            this.userIcon = userIcon;
        }
    }
}
